SE RT Services Utilities library

| SE RT Services Utilities library

Data Structures | Enumerations | Functions
PPC protection management
IFX SE Generic Syscall API

## General Description

PPC protection management definitions.

## Data Structures
struct | ifx_se_ppc_config_t
| PPC configuration structure. More...

## Enumerations
enum | ifx_se_ppc_sec_attribute_t { IFX_SE_PPC_SECURE = 0 , IFX_SE_PPC_NON_SECURE = 1 , IFX_SE_PPC_MAX = INT32_MAX }
| PPC security attributes. More...
enum | ifx_se_ppc_nspriv_attribute_t { IFX_SE_PPC_NON_SEC_PRIV = 0 , IFX_SE_PPC_NON_SEC_NONPRIV = 1 , IFX_SE_PPC_NON_SEC_MAX = INT32_MAX }
| PPC Non-secure privilege attributes. More...
enum | ifx_se_ppc_secpriv_attribute_t { IFX_SE_PPC_SEC_PRIV = 0 , IFX_SE_PPC_SEC_NONPRIV = 1 , IFX_SE_PPC_SEC_MAX = INT32_MAX }
| PPC Secure privilege attributes. More...

## Functions
ifx_se_status_t | ifx_se_ppc_config (const ifx_se_ppc_config_t *ppc_config, void *ctx)
| Configures the PPC with the PC mask, security and access attributes. More...

## Data Structure Documentation

## ◆ ifx_se_ppc_config_t

struct ifx_se_ppc_config_t

Data Fields
uint32_t | start_region | Starting peripheral region ID.
uint32_t | end_region | Ending peripheral region ID. To apply policy to a single peripheral region, assign the same value to start_region and endRegion
ifx_se_ppc_sec_attribute_t | sec_attribute | Security attribute.
ifx_se_ppc_secpriv_attribute_t | sec_priv_attribute | Secure Privilege attribute.
ifx_se_ppc_nspriv_attribute_t | ns_priv_attribute | Non-secure Privilege attribute.
uint32_t | pc_mask | PC mask.

## Enumeration Type Documentation

## ◆ ifx_se_ppc_sec_attribute_t

enum ifx_se_ppc_sec_attribute_t

PPC security attributes.

Enumerator
IFX_SE_PPC_SECURE | PPC region is Secure.
IFX_SE_PPC_NON_SECURE | PPC region is Non-secure.
IFX_SE_PPC_MAX | Maximum value to fix enum size.

## ◆ ifx_se_ppc_nspriv_attribute_t

enum ifx_se_ppc_nspriv_attribute_t

PPC Non-secure privilege attributes.

Enumerator
IFX_SE_PPC_NON_SEC_PRIV | Privilege access to non-secure region.
IFX_SE_PPC_NON_SEC_NONPRIV | Privilege and non-privilege access to non-secure region
IFX_SE_PPC_NON_SEC_MAX | Maximum value to fix enum size.

## ◆ ifx_se_ppc_secpriv_attribute_t

enum ifx_se_ppc_secpriv_attribute_t

PPC Secure privilege attributes.

Enumerator
IFX_SE_PPC_SEC_PRIV | Privilege access to secure region.
IFX_SE_PPC_SEC_NONPRIV | Privilege and non-privilege access to secure region
IFX_SE_PPC_SEC_MAX | Maximum value to fix enum size.

## Function Documentation

## ◆ ifx_se_ppc_config()

ifx_se_status_t ifx_se_ppc_config | ( | const ifx_se_ppc_config_t * | ppc_config,
|  | void * | ctx
| ) |  |

Configures the PPC with the PC mask, security and access attributes.

This function allows to configure only WiFi SS SRAM PPC regions. Returns error if this function is called outside of WiFi SS PC.

Parameters

  [in] | ppc_config | The pointer to the PPC configuration structure.
  [in] | ctx | The pointer to the SE syscall context that contain a special syscall data (IPC release callback etc).

Returns
  IFX_SE_SUCCESS for success or error code